/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20100528
 *
 * Disassembly of SSDT1.dat, Thu Jun 30 15:27:17 2011
 *
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00000166 (358)
 *     Revision         0x01
 *     Checksum         0x17
 *     OEM ID           "DELL  "
 *     OEM Table ID     "PtidDevc"
 *     OEM Revision     0x00001000 (4096)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20061109 (537268489)
 */
DefinitionBlock ("SSDT1.aml", "SSDT", 1, "DELL  ", "PtidDevc", 0x00001000)
{
    Scope (\_SB)
    {
        Device (PTID)
        {
            Name (_HID, EisaId ("INT340E"))
            Name (_CID, EisaId ("PNP0C02"))
            Name (IVER, 0x00030000)
            Name (TSDL, Package (0x04)
            {
                0x0D, 
                "Temperature 0", 
                0x0D, 
                "Temperature 1"
            })
            Name (TMPV, Package (0x02)
            {
                0xFF, 
                0xFF
            })
            Name (PSDL, Package (0x06)
            {
                0x0D, 
                "Power 0", 
                0x0D, 
                "Power 1", 
                0x0D, 
                "Power 2"
            })
            Name (PWRV, Package (0x03)
            {
                0xFF, 
                0xFF, 
                0xFF
            })
            Name (OSDL, Package (0x06)
            {
                0x04, 
                "Fan RPM", 
                "RPM", 
                0x0C, 
                "Battery Capacity", 
                "mAh"
            })
            Name (OSDV, Package (0x02)
            {
                0xFF, 
                0xFF
            })
            Method (TSOD, 0, NotSerialized)
            {
                Name (TMPC, Zero)
                Store (TMPC, Index (TMPV, Zero))
                Store (TMPC, Index (TMPV, One))
                Return (TMPV)
            }

            Method (PSDD, 0, NotSerialized)
            {
                Return (PWRV)
            }

            Method (OSDD, 0, NotSerialized)
            {
                Return (OSDV)
            }

            Method (SDSP, 0, NotSerialized)
            {
                Return (0x0A)
            }

            Name (PADT, Package (0x0A)
            {
                0x02, 
                0x06A4, 
                0x06A0, 
                0x18, 
                0x60, 
                0x61, 
                0x62, 
                0x63, 
                0x64, 
                0x65
            })
        }
    }
}

